summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2021-08-25 18:46:25 +0000
committer Eric Hameleers <alien@slackware.com>2021-08-25 18:46:25 +0000
commitbe3c1aaee7e857ec7b4502737d4622110f1a28a7 (patch)
treedfb5cbaccaf71e59f14dc9471b62cb791dca682a
parent342121d10fce1500dd0dffb66d64317146c5f25c (diff)
downloadmultilib-be3c1aaee7e857ec7b4502737d4622110f1a28a7.tar.gz
multilib-be3c1aaee7e857ec7b4502737d4622110f1a28a7.tar.xz
gcc-multilib: Fix compiler error in gcc-go - https://github.com/golang/go/issues/47771
-rwxr-xr-xsource/current/gcc/gcc-multilib.SlackBuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/source/current/gcc/gcc-multilib.SlackBuild b/source/current/gcc/gcc-multilib.SlackBuild
index a1a3e23..cc0606c 100755
--- a/source/current/gcc/gcc-multilib.SlackBuild
+++ b/source/current/gcc/gcc-multilib.SlackBuild
@@ -62,7 +62,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gcc
SRCVER=${SRCVER:-"11.2.0"}
VERSION=$(echo $SRCVER | cut -f 1 -d _)
-BUILD=${BUILD:-1alien}
+BUILD=${BUILD:-2alien}
# How many jobs to run in parallel:
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -193,6 +193,10 @@ tar xf $CWD/gcc-$SRCVER.tar.?z || exit 1
# Fix regressions in 10.3.0 (and presumably 11.1.0 since they still apply cleanly):
zcat $CWD/patches/PR100102-2.a1b3484a8e6c53c8084723e3f1738d402374198e.patch.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+ # Fix compiler error in gcc-go
+ # https://github.com/golang/go/issues/47771
+ zcat $CWD/patches/7185690.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+
# Fix perms/owners:
chown -R root:root .
find . -perm 777 -exec chmod 755 {} \+